package com.javacodegeeks.listmatcher.handler;

import static org.junit.Assert.assertTrue;
import static org.mockito.Mockito.verify;
import static org.mockito.Mockito.when;

import org.junit.Before;
import org.junit.Test;
import org.mockito.Matchers;
import org.mockito.Mockito;

public class ListHandlerTest {

	private ListHandler listHandlerMock;
	
	@Before
	public void setUp() {
		listHandlerMock = Mockito.mock(ListHandler.class);
	}
	
	@Test
	public void testAdd() {
		boolean actual = true;

		when(this.listHandlerMock.add(
			Matchers.anyList(),
			Matchers.any()
		)).thenReturn(true);
		
		actual = this.listHandlerMock.add(Matchers.anyList(), Matchers.any());
		assertTrue(actual);
		
		verify(this.listHandlerMock).add(
			Matchers.anyList(),
			Matchers.any()
		);
	}
}
